package networking;

import java.net.*;
import java.io.*;

public class Network {

    public static void main(String[] args) {

        String ip = "localhost";
        int port = 4321;
        try {
            System.out.println("Connecting to " + ip + " on port " + port);
            Socket socket = new Socket(ip, port);

            System.out.println("Just connected to " + socket.getRemoteSocketAddress());
            PrintWriter printWriter = new PrintWriter(new OutputStreamWriter(socket.getOutputStream()));
            printWriter.println("Hello from " + socket.getLocalSocketAddress());
            printWriter.flush();
            BufferedReader bufferedReader = new BufferedReader(new InputStreamReader(socket.getInputStream()));
            System.out.println(bufferedReader.readLine());
            socket.close();
        } catch (IOException e) {
            e.printStackTrace();
        }

    }
}