import java.io.*;
import java.net.Socket;

public class ClientHandler implements Runnable {
    private Socket client;
    private DataOutputStream dataOutputStream;
    private DataInputStream dataInputStream;


    public ClientHandler(Socket client) throws Exception {
        if (client == null) {
            throw new Exception("client can't be null");
        }
        this.client = client;
//        this.dataOutputStream = new DataOutputStream(client.getOutputStream());
    }

    private void handleIncomingMessages(String message) {
        //TODO: implement this method
//        System.out.println("This is incoming message from Client: ");
        System.out.println(message);
        PrintWriter printWriter = null;
        try {
            printWriter = new PrintWriter(new OutputStreamWriter(client.getOutputStream()));
        } catch (IOException e) {
            e.printStackTrace();
        }
        printWriter.println(message);
        printWriter.flush();
    }

    @Override
    public void run() {
        try {
            BufferedReader bufferedReader = null;

            bufferedReader = new BufferedReader(new InputStreamReader(client.getInputStream()));
            String input = bufferedReader.readLine();
            handleIncomingMessages(input);
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

}
